package com.hchyun.test.entity;

import java.util.List;
import com.hchyun.common.annotation.Excel;
import com.hchyun.common.core.entity.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 学生对象 sys_stu
 * 
 * @author hchyun
 * @date 2021-01-23
 */
public class Stu extends BaseEntity
{


    /** id */
    private Long id;

    /** 学生姓名 */
    @Excel(name = "学生姓名")
    private String name;

    /** 电话 */
    @Excel(name = "电话")
    private Long tel;

    /** 电子邮件 */
    @Excel(name = "电子邮件")
    private String email;

    /** 成绩信息 */
    private List<Results> resultsList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTel(Long tel) 
    {
        this.tel = tel;
    }

    public Long getTel() 
    {
        return tel;
    }
    public void setEmail(String email) 
    {
        this.email = email;
    }

    public String getEmail() 
    {
        return email;
    }

    public List<Results> getResultsList()
    {
        return resultsList;
    }

    public void setResultsList(List<Results> resultsList)
    {
        this.resultsList = resultsList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("tel", getTel())
            .append("email", getEmail())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("resultsList", getResultsList())
            .toString();
    }
}
